%flex {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  flex-wrap: wrap;
}

.flx-row {
  @extend %flex;
  flex-direction: row;
}

.flx-col {
  @extend %flex;
  flex-direction: column;
}

.flx-row, .flx-col {
  &.j-start {
    justify-content: flex-start;
  }
  &.j-center {
    justify-content: center;
  }
  &.j-end {
    justify-content: flex-end;
  }
  &.j-space-between {
    justify-content: space-between;
  }
  &.j-space-around {
    justify-content: space-around;
  }

  &.a-stretch {
    align-items: stretch;
  }
  &.a-start {
    align-items: flex-start;
  }
  &.a-center {
    align-items: center;
  }
  &.a-end {
    align-items: flex-end;
  }
  &.a-baseline {
    align-items: baseline;
  }

  .grow {
    flex-grow: 1;
  }
  .shrink {
    flex-shrink: 1;
  }
}
